FROM node:14.7-alpine3.12 as installer
WORKDIR /app
COPY ./build/app/package.json /app
RUN yarn install

FROM node:14.7-alpine3.12
WORKDIR /app
EXPOSE 3000
COPY --from=installer /app/node_modules /app/node_modules
CMD [ "node", "index.js" ]
COPY ./build/app /app
